window.Gleam.initSearch([{"doc":"pretty_diff","title":"pretty_diff","content":"# pretty_diff\n\n[![Package Version](https://img.shields.io/hexpm/v/pretty_diff)](https://hex.pm/packages/pretty_diff)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/pretty_diff/)\n![Supported targets](https://img.shields.io/badge/supports-all_targets-ffaff3)\n\n⚖️ Pretty printing the difference between Gleam values\n\n## Installation\n\n```sh\ngleam add pretty_diff\n```\n\n## Usage\n\n```gleam\nimport pretty_diff\n\npub fn main() {\n  pretty_diff.from(Ok(&quot;old&quot;), and: Ok(&quot;new&quot;))\n  // -&gt; Ok(-&quot;old&quot; +&quot;new&quot;)\n}\n```\n","url":"index.html"},{"doc":"pretty_diff","title":"from","content":"pub fn from(left: a, and right: a) -&gt; String\n Returns a pretty printed string representing the diff between two values.\n\n &gt; ⚠️ This pretty printed string is meant to be displayed for human\n &gt; consumption. Its look might change without any major version bump, so your\n &gt; code should not depend on its specific formatting.\n\n ## Examples\n\n \n diff([1, 2, 3, 4, 5], [1, 2, 3, 4, 6]) |&gt; to_string\n // -&gt; [1, ..., 4, -5 +6]\n \n\nSynonyms:\npretty_diff.from\npretty_diff from","url":"pretty_diff.html#from"},{"doc":"pretty_diff","title":"pretty_diff","content":"","url":"pretty_diff.html"}]);